# List Active Channel Alarms

> Channels API · Channel Alarms

```http
GET /api/channel-channelalarms/active/
```

List active alarms for a channel identified by name.

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `channelName` | string | Yes | — |

## Example request

```bash
curl -X GET "/api/channel-channelalarms/active/" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — Successful Response

- `value` · list of objects · **Required**
  - Array items (object):
    - `kind` · string · Optional · _Defaults to Alarm_
    - `metadata` · object · **Required**
      - `id` · string · **Required** · _format: uuid_
      - `name` · string · **Required**
      - `displayName` · object · Optional
        - One of the following variants:
          - **string** (string)
          - **null** (null)
      - `objectId` · object · Optional
        - One of the following variants:
          - **string** (string)
          - **null** (null)
      - `channelName` · string · **Required**
      - `created` · object · Optional
        - One of the following variants:
          - **string** (string)
          - **null** (null)
    - `status` · object · **Required**
      - `severity` · enum · **Required**
        - Allowed values: `Critical`, `Major`, `Minor`, `Notice`, `Ignore`, `Clear`
      - `additionalInfo` · object · Optional
        - One of the following variants:
          - **string** (string)
          - **null** (null)
- `supplemental` · object · **Required**
  - `kind` · string · Optional · _Defaults to AlarmList_
  - `count` · integer · **Required**
  - `operation` · string · Optional · _Defaults to list_
  - `pagination` · object · **Required**
    - `start` · integer · **Required**
    - `end` · integer · **Required**
    - `records` · integer · **Required**
    - `total` · integer · **Required**

Example:

```json
{
  "value": [
    {
      "kind": "Alarm",
      "metadata": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "string",
        "displayName": "string",
        "objectId": "string",
        "channelName": "string",
        "created": "2024-01-01T00:00:00Z"
      },
      "status": {
        "severity": "Critical",
        "additionalInfo": "string"
      }
    }
  ],
  "supplemental": {
    "kind": "AlarmList",
    "count": 0,
    "operation": "list",
    "pagination": {
      "start": 0,
      "end": 0,
      "records": 0,
      "total": 0
    }
  }
}
```

### 422 — Validation Error

- `detail` · list of objects · Optional
  - Array items (object):
    - `loc` · list of objects · **Required**
      - Array items (object):
        - One of the following variants:
          - **string** (string)
          - **integer** (integer)
    - `msg` · string · **Required**
    - `type` · string · **Required**
    - `input` · any · Optional
    - `ctx` · object · Optional

Example:

```json
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
```

### 503 — Service unavailable

No response body.

---

Source spec: `channels-api` · operationId: `list_active_channel_alarms_channelalarms_active__get`
